'Plot graphs to ilustrate NS interpolant
%type="FIG_NS3_1"
delete {%type}*
	graph {%type}.line r spot forward 
	{%type}.axis grid zeroline
	{%type}.option linepat	' need to set linepat
	'{%type}.draw(line,left,rgb(180,180,180)) 0
	{%type}.elem(1) lcolor(black) lpat(solid)  lwidth(1.25) symbol(circle) symbolsize(s)
	{%type}.elem(2) lcolor(blue) lpat(dash1) lwidth(1.25)
	{%type}.elem(3) lcolor(red) lpat(dash2) lwidth(1.25)
	{%type}.name(1) Observed Yield
	{%type}.name(2) Spot Yield curve 
	{%type}.name(3) Forward Yield Curve 
	{%type}.addtext(t)  "Nelson Siegel 3 factors"
	{%type}.legend columns(1) position(r)

%type="FIG_NS3_2"
delete {%type}*
	graph {%type}.line wlevel wslope wcurve  
	{%type}.axis grid zeroline
	{%type}.option linepat	' need to set linepat
	'{%type}.draw(line,left,rgb(180,180,180)) 0
	{%type}.elem(1) lcolor(green) lpat(solid)  lwidth(1.25)' symbol(circle) symbolsize(s)
	{%type}.elem(2) lcolor(blue) lpat(dash1) lwidth(1.25)
	{%type}.elem(3) lcolor(red) lpat(dash2) lwidth(1.25)
	{%type}.name(1) Level
	{%type}.name(2) Slope 
	{%type}.name(3) Curvature
	{%type}.addtext(t)  "Nelson Siegel 3 factors"
	{%type}.legend columns(1) position(r)


